#!/usr/local/bin/perl5

require "configure.pl";
require "database.pl";

#
# This is a stand-alone program.
#
# This program can be used if you need to update a database file
# in a nonstandard way, that is, with your ordinary editor.
#
# It will make sure that no one else updates any files
# while you are updating them.
#
# For this to work, this script must be run on the web server.
#

$host = $ENV{"HOST"};

if ($host ne $Web_server) {
    print "\n\007You are on $host.\n";
    print "You must be on $Web_server to lock the files.\n\n";
    die;
    }

print "\nWaiting for a lock on the database files ...\n";

($n, $date) = &lock_db;

print "OK, we have an advisory lock.  Do your maintenance, then\n";
print "press <return> to release the lock.\n";

$line = <STDIN>;

&unlock_db;
print "Done.\n";
