#!/usr/local/bin/perl5

require "configure.pl";

# This is a stand-alone program to create the database files.
# If any of the files already exist, they will be backed up to a new
# directory.

`mkdir backup_$$`;

if (-e $Lock_count_file) {
    print "$Lock_count_file already exists.  Backing up to backup_$$.\n";
    `mv $Lock_count_file backup_$$/$Lock_count_file`;
    }
`echo 0 > $Lock_count_file`;
`chmod 660 $Lock_count_file`;

foreach $file ($Report_file, $Discuss_file, $Vote_file, $Access_file, $Status_file) {

    if (-e $file) {
	print "$file already exists.  Backing up to backup_$$\n";
	`mv $file backup_$$/$file`;
	}
    `touch $file`;
    `chmod 660 $file`;
    }

