#!/usr/local/bin/perl5

require "configure.pl";

print <<END_OF_PAGE;
Content-type: text/html

<H1>Security</H1>

<P> <B>Access by people not on the program committee</B>

<P> One needs an indivudual password to access the pages, and
one needs the group password to register an individual password.

<P> The abstracts and full PostScript of the submitted papers are less
secure, because the PC have to be able to FTP them.  The directory
permissions are currently set so that anyone can FTP the papers <I>but
only if the complete URL is given</I>.  It should be hard for
outsiders to find the complete URL, because the directories in which
the papers reside are invisible to people browsing and to
search-and-index robots.  Our (secure, we hope) web pages have the
complete URLs, so PC members can get the papers with a click.
<I>This needs to be made more secure</I>.

<P> <B>PC members who are authors of submitted papers</B>

<P> If a PC member is an author of a submitted paper, that member is
not allowed to get the report/discussion/voting page on that paper.
Otherwise, any PC member can get the page, see who the referees are,
read the reports, participate in the discussion, and vote.

<P> On the summary page, data is withheld on any papers authored
by the PC member looking at the page.

<P> Also, the page that lists for all events by a PC member is
accessible only to that PC member (and to the program chair).

<P> <B>Access Logs</B>

<P> The system keeps detailed logs of who logs in and from where, which pages
are visited, etc.  

<H1>Multiple Reports or Votes; Automatic Votes</H1>

You can file as many reports as you like on a given paper.
Only the latest one counts
(i.e., will be shown on the report/discussion/vote page).
However, all reports will be shown on your activity log page.

<P>
Similarly, you can cast as many votes as you wish on a given paper,
but only the latest one counts.

<P>
Votes are either <I>automatic</I> or <I>explicit</I>.
Automatic votes are cast automatically when you file a report
and are determined by your overall rating.  (A rating of "No Opinion"
causes a vote of "abstain".)
Explicit votes are cast from the voting form of the
report/discussion/vote page.
An explicit vote can supercede an automatic vote, and vice versa.

<H1>Voluntary Reports</H1>

Each PC member is assigned a set of papers and is expected to
file reports on those papers; those are the <I>mandatory reports</I>.
If a PC member has something important and official to say
about another paper, he/she can file <I>voluntary report</I>.
Voluntary reports will be sent to the authors of the paper,
so they should be prepared just as carefully as mandatory
reports are.
However, in the final decision on a paper,
voluntary reports may have less weight than
mandatory reports.

<H1>Navigation</H1>

Different browsers do things quite differently.  Netscape 3.0
seems to handle the pages well.
MicroSoft's Internet Explorer and
Mosaic (2.4 and 2.6) work pretty well, except that when "reloading"
or "refreshing" one of the secure pages, one gets "pc_member not found";
in that case, back up to the previous page and call the needed page again.

<P> If you bookmark a secure page, then try to revisit the
page via the bookmark, you should get an error, because you
will be trying to get a secure page without a password.
Bookmarking the page on which you enter your password should
be OK.

<P> I tried these pages with the RedBaron 3.0 browser (which comes
with RedHat Linux 4.0) and it does not work well.  When I try to back
up to a previous page, it always takes me all the way back to the
login page, and I have to log in again.

<P> When you file a report (or comments or vote), and you get
a page confirming receipt of your report (or comments or vote),
<I>do no reload or refresh that page; doing so will cause your
report (or comments or vote) to be filed again.</I>
(Nothing bad will happen, but it might confuse one of us.)

END_OF_PAGE

1; #return true 

