#!/usr/local/bin/perl5

require "configure.pl";
require "cgi-lib.pl";
require "utilities.pl";

####################
print "Content-type: text/html\n\n";      # Print HTML header
####################

# &print_sys_info;                        # Print System info

&ReadParse(*cgi_input);

# &print_cgi_input(*cgi_input);           # Print CGI input

$pc_member = $cgi_input{"pc_member"};
$pc_member =~ s/\s//g;                   # get rid of any white space.
$submitted_pwd = $cgi_input{"password"};
$submitted_pwd =~ s/\s//g;                    # get rid of any white space.

$encrypted_password = &get_password($pc_member);

if (!$Password_required) {
    print "<H3><I>Warning: password was not checked.</I></H3>\n";
    }

elsif (!defined($encrypted_password)) {
    print "<H1>PC member not found.</H1>\n";
    die;
    }

elsif (crypt($submitted_pwd, "AR") eq $Root_password_encrypted) {
    print "<H3><BLINK>Message sent to $Admin about root access.</BLINK></H3>\n";
    &log_access($pc_member, "pc-gate", "Root access");
    }

elsif ($submitted_pwd eq "") {
    print "<H1>Empty password received.</H1>\n";
    die;
    }

elsif ($encrypted_password eq "") {
    print "An individual password has not been registered for $pc_member.<BR>\n";
    print "You can do so now by backing up and going to the registration page.\n";
    die;
    }

elsif ($encrypted_password ne crypt($submitted_pwd, "AR")) {
    print "<H1>Password is incorrect.</H1>\n";
    die;
    }

# OK, he's in.  Log access, then print the main menu page.

&log_access($pc_member, "pc-gate", "password ok");

############################################ vvvvvvvvvvvvvvv
print <<END_OF_FILE;

<CENTER>
<H1>$Conference Program Committee</H1>
<H1><I>Paper Evaluation</I></H1>
</CENTER>

Welcome $pc_member,

<P>
Select a thing to do, enter a paper number if
appropriate, then click "Continue".

<FORM METHOD="POST" ACTION="main-menu.pl">

<INPUT type="hidden" NAME="pc_member" VALUE="$pc_member">

<HR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="list_papers">
List of all papers, with links to FTP abstracts and PostScript.<BR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="submit_report">
Submit (or resubmit) a report on paper number
<INPUT TYPE="text" SIZE=4 NAME="paper_to_referee">.<BR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="discuss_paper">
Go to the report/discussion/voting page for paper number
<INPUT TYPE="text" SIZE=4 NAME="paper_to_discuss">.<BR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="summary_papers">
Current status of all papers.<BR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="summary_member">
Current status of papers assigned to <B>$pc_member</B>.<BR>

<INPUT TYPE="radio" NAME="thing_to_do" VALUE="member_data">
Assignments, reports, discussion, and votes for PC member <B>$pc_member</B>.<BR>

<!--
<INPUT TYPE="radio" NAME="thing_to_do" VALUE="list_work_tut">
Workshop and Tutorial Proposals.<BR>
-->

<INPUT type="submit" VALUE="Continue">
<HR>

<INPUT type="hidden" NAME="pet" VALUE="$submitted_pwd">
</FORM>

<A HREF="notes.pl"> Some Notes on These Pages </A>

<P>
<A HREF="bugs.pl"> Bugs??</A>

<P>
<A HREF="$Conference_url"> $Conference Home Page</A>

END_OF_FILE
############################################ ^^^^^^^^^^^^^^

1; #return true 

